## org.apache.lucene.search.regex
Interface RegexQueryCapable

All Known Implementing Classes:
  RegexQuery, SpanRegexQuery

    public interface RegexQueryCapable

Defines methods for regular expression supporting Querys to use.

Method Summary
`RegexCapabilities` `getRegexImplementation()`
`void` `setRegexImplementation(RegexCapabilities impl)`

Method Detail

### setRegexImplementation

    void setRegexImplementation(RegexCapabilities impl)

### getRegexImplementation

    RegexCapabilities getRegexImplementation()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.